/***************************************************************************
                               caliasresolver.h
                             -------------------
    begin                : Thu Jul 25 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALIASRESOLVER_H
#define CALIASRESOLVER_H

// forward declaractions
class QString;
class QStringList;

/** Base class for classes that can resolve aliases.
  * @author Kmud Developer Team
  */

class CAliasResolver {
public: 
	CAliasResolver() {};
	virtual ~CAliasResolver() {};

	QString resolve(const QString& input, const QString& seperator);

protected:
	virtual bool resolveCommands(QStringList& commandList) = 0;

	QStringList splitCommand(const QString& command);
};

#endif

// end of file
