/***************************************************************************
                               kmudfactory.cpp
                             -------------------
    begin                : Fri Apr 6 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmudfactory.h"
#include "kmudpart.h"

#include "kmuddebug.h"

KmudFactory::KmudFactory(QObject* parent, const char* name)
	: KLibFactory(parent, name)
{
}

KmudFactory::~KmudFactory()
{
}

KmudPart* KmudFactory::createKmudPart(KmudAPI* api, QObject* parent, KService::Ptr service, const QStringList& args)
{
	QStringList strl;
	unsigned int i;

	kdDebug(DAREA_LIB_FACTORY) << "creating KmudPart:" << endl;
	strl = service->propertyNames();
	for (i=0; i<strl.count(); i++)
		kdDebug(DAREA_LIB_FACTORY) << strl[i] << "=" << service->property(strl[i]).toString() << endl;

	KmudPart* part = createKmudPartObject(api, parent, args);
	kdDebug(DAREA_LIB_FACTORY) << "part is " << part << endl;
	if (part)
		emit objectCreated(part);
	return part;
}

QObject* KmudFactory::createObject(QObject* parent, const char* name, const char* classname, const QStringList &args)
{
	return 0L;
}


