/***************************************************************************
                             kmudmapperfactory.h
                             -------------------
    begin                : Sat Apr 28 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMUDMAPPERFACTORY_H
#define KMUDMAPPERFACTORY_H

#include <kmudfactory.h>


/**
  *@author Kmud Developer Team
  */

class KmudMapperFactory : public KmudFactory
{

public:
	
	KmudMapperFactory(QObject* parent=0, const char* name=0);
	~KmudMapperFactory();
	
	KmudPart* createKmudPartObject(KmudAPI* api, QObject* parent, const QStringList& args);
	
	static KInstance* instance();
	
private:
	static KInstance* s_instance;

};

#endif
