/***************************************************************************
                               standardfactory.h
                             -------------------
    begin                : Tue May 1 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STANDARDFACTORY_H
#define STANDARDFACTORY_H

#include "../../cmappluginfactory.h"

class KAboutData;
class KInstance;
class CMapManager;

/**
  *@author Kmud Developer Team
  */

class CMapStandardFactory : public CMapPluginFactory
{
public: 
	CMapStandardFactory(QObject *parent=0,const char *name = 0);
	~CMapStandardFactory();   // reimplemented from KLibFactory
	static KInstance * instance();

protected:
	virtual CMapPluginBase* createPluginInstance(CMapManager* manager, QObject* parent);

private:
	static KInstance * s_instance;
	static KAboutData * s_about;
};

#endif
