/***************************************************************************
                               caliasresolver.cpp
                             -------------------
    begin                : Thu Jul 25 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Qt includes
#include <qstring.h>
#include <qstringlist.h>

// local includes
#include "caliasresolver.h"

///////////////////////////////////////////////////////////////////////////////

QString CAliasResolver::resolve(const QString& input, const QString& seperator)
{
	QStringList inputList = QStringList::split(seperator, input);
	if (resolveCommands(inputList))
		return inputList.join(seperator);

	// nothing resolved, return original string
	return input;
}

///////////////////////////////////////////////////////////////////////////////

QStringList CAliasResolver::splitCommand(const QString& command)
{
	return QStringList::split(' ', command);
}

// end of file
