/***************************************************************************
                               autologinfilter.h
                             -------------------
    begin                : Mon Mar 24 2003
    copyright            : (C) 2003 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAUTOLOGINFILTER_H
#define CAUTOLOGINFILTER_H


#include <qobject.h>
#include <qstring.h>

#include <kmudfilter.h>

class KmudAPI;

/**
  *@author Kmud Developer Team
  */

class CAutoLoginFilter : public  QObject, public KmudFilter
{
Q_OBJECT

public: 
	CAutoLoginFilter(KmudAPI *api,QObject* parent=0, const char* name=0);
	~CAutoLoginFilter();

	/** This method is called when output is sent to the mud */
	virtual QString filterOutput(QString &s);

public slots:
	void slotProfileChanged();

private:
	void autoLogin(QString output);
	
private:
	KmudAPI *m_API;
	QString m_mudProfile;
	QString m_charProfile;
	bool m_LoginHasBeenSent;
	bool m_PasswordHasBeenSent;
};

#endif
