/***************************************************************************
                          dlgconnect.cpp  -  description
                             -------------------
    begin                : Thu Mar 8 2001
    copyright            : (C) 2001 by KMud Development Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dlgconnect.h"
#include <qlineedit.h>

DlgConnect::DlgConnect(QWidget *parent, const char *name ) : DlgConnectBase(parent,name,true)
{
	txtHost->setFocus();
}

DlgConnect::~DlgConnect()
{
}

QString DlgConnect::getHost()
{
	return txtHost->text();
}

QString DlgConnect::getPort()
{
	return txtPort->text();
}

void DlgConnect::setHost(QString s)
{
	txtHost->setText(s);
}

void DlgConnect::setPort(QString s)
{
	txtPort->setText(s);
}

