/***************************************************************************
                          dlgconnect.h  -  description
                             -------------------
    begin                : Thu Mar 8 2001
    copyright            : (C) 2001 by KMud Development Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGCONNECT_H
#define DLGCONNECT_H

#include <qwidget.h>
#include "dlgconnectbase.h"

/**This dialog is used to quick connect to a host & port
  *@author KMud Development Team
  */

class DlgConnect : public DlgConnectBase  {
   Q_OBJECT
public: 
	DlgConnect(QWidget *parent=0, const char *name=0);
	~DlgConnect();

	QString getHost();
	QString getPort();
	void setHost(QString);
	void setPort(QString);
	
};

#endif
