/***************************************************************************
                               kmudapplication.h
                             -------------------
    begin                : Sat Apr 7 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMUDAPPLICATION_H
#define KMUDAPPLICATION_H

#include <qptrlist.h>
#include <kuniqueapp.h>

class KCmdLineArgs;

class KmudCore;


/**
  *@author Kmud Developer Team
  */

class KmudApplication : public KUniqueApplication  {
public: 
	KmudApplication();
	~KmudApplication();
	
	int newInstance();
	KmudCore* newCore();
	bool deleteCore(KmudCore* _core);
	
private:
	QPtrList<KmudCore> m_coreList;
};

#endif
