/***************************************************************************
                               main.cpp
                             -------------------
    begin                : Sat Mar  3 19:17:48 CET 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kmudapplication.h"
#include "kmudmainwindow.h"

static const char *description =
	I18N_NOOP("Kmud");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "kmud", I18N_NOOP("Kmud"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2001, Kmud Developer Team", 0, 0, "kmud-devel@kmud.de");
	aboutData.addAuthor("Kmud Developer Team",0, "kmud-devel@kmud.de");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

	// start() also calls newInstance() so we don't have to call that seperately
	if (!KmudApplication::start())
	{
		return 0;
	}
	KmudApplication app;
	return app.exec();
}

